package com.gxx.dubbo.client.web;

import javax.servlet.http.HttpServletRequest;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gxx.dubbo.client.remote.service.RemoteService;
import com.gxx.dubbo.server.model.vo.User;

/**
 * 远程控制类
 * @author Gxx
 */
@Controller
@RequestMapping("/remote/")
public class RemoteController {

	/**
	 * 日志处理器
	 */
	private final Logger logger = Logger.getLogger(RemoteController.class);
	
	@Autowired
	private RemoteService remoteService;
	
	/**
	 * 远程查询用户
	 * @return
	 */
	@RequestMapping(value = "/get")
	public @ResponseBody String get(HttpServletRequest request) {
		logger.info("远程查询用户开始~");
		User user = remoteService.selectUserById(Integer.parseInt(request.getParameter("id")));
		logger.info("远程查询用户结束~");
		return user == null ? "查询不到用户！" : user.toString();
	}
}